#!/bin/bash


# Set JAVA_HOME.

JAVA_INSTALL_DIR=/usr/lib/jvm/$(rpm -aq | grep java-1.8.0-openjdk-1.8.0)
export JAVA_HOME=$JAVA_INSTALL_DIR

cd $StarRocks_home/

# 获取--helper参数
HELPER=$*
HELPER_READY="HELPER_READY"

# Start FE.
# 存在--helper && 未执行过
if [ "$HELPER" != "" ] &&  [ ! -f $HELPER_READY ]; then
    echo ${HELPER}
    ./bin/start_fe.sh ${HELPER} --daemon

    touch $HELPER_READY
else
    ./bin/start_fe.sh --daemon
fi


# Loop to detect the process.
while sleep 60; do
  ps aux | grep starrocks | grep -q -v grep
  PROCESS_STATUS=$?

  if [ ${PROCESS_STATUS} -ne 0 ]; then
    echo "one of the starrocks process already exit."
    exit 1;
  fi
done