FROM centos:centos7

# Create directory for deployment.
ENV StarRocks_home=/starrocks

# 下载 StarRocks 依赖工具
RUN yum -y install wget java-1.8.0-openjdk-devel.x86_64 mysql net-tools libunwind-devel libunwind
RUN mkdir -p $StarRocks_home

# 复制文件
COPY apache_hdfs_broker ${StarRocks_home}/

# Run Setup script.
COPY run_script_be.sh $StarRocks_home/run_script.sh
RUN chmod +x $StarRocks_home/run_script.sh \
    && sed -i 's/\r//' $StarRocks_home/run_script.sh

CMD [ "/bin/sh", "-c", "/starrocks/run_script.sh" ]